# std::_Fwd_list_node< _Tp > Struct Template Reference

A helper node class for forward_list. This is just a linked list with a data value in each node. There is a sorting utility method. More...

Inheritance diagram for std::_Fwd_list_node< _Tp >:
[legend]

List of all members.

## Public Member Functions

- template<typename... _Args> _Fwd_list_node (_Args &&...__args)
- void _M_reverse_after ()
- _Fwd_list_node_base * _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end)
- _Fwd_list_node_base * _M_transfer_after (_Fwd_list_node_base *__begin)

## Static Public Member Functions

- static void swap (_Fwd_list_node_base &__x, _Fwd_list_node_base &__y)

## Public Attributes

- _Fwd_list_node_base * _M_next
- _Tp _M_value

## Detailed Description

### template<typename _Tp>
struct std::_Fwd_list_node< _Tp >

A helper node class for forward_list. This is just a linked list with a data value in each node. There is a sorting utility method.

Definition at line 101 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h